Module SQL_案件管理系統
    Friend Sub SQL_案件摘要讀取()
        ConnOpen()
        SQL1 = "SELECT  單據編號, [地址/地號], 地主, 聯絡人, 面積編號, 建坪編號, 使用用途, 土地租期, 租期備註, 土地月租, 每坪月租, 
                        [押金/保證金], 免租興建期, 建期備註, 建照核准日, 取得使用執照日, 太陽_出租人, 太陽_承租人, 太陽_KW數, 
                        太陽_租期, [太陽_租金%], 製錶, 備註, 圖片庫, 保證月
                FROM    案件摘要總表"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件摘要驗證()
        ConnOpen() : SQL1 = "SELECT  [地址/地號]  FROM  案件摘要總表  WHERE  ([地址/地號] LIKE N'" & 案件摘要表.地址_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要流水()
        ConnOpen() : SQL1 = "SELECT  單據編號 AS 流水號  FROM  案件摘要總表  WHERE  (單據編號 LIKE '%" & DTP1 & "%')  ORDER BY  單據編號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要新增()
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要總表 (單據編號, [地址/地號], 地主, 聯絡人, 面積編號, 建坪編號, 使用用途, 土地租期, 租期備註, 土地月租, 每坪月租, 
                                           保證月, [押金/保證金], 免租興建期, 建期備註, 建照核准日, 取得使用執照日, 太陽_出租人, 太陽_承租人, 太陽_KW數, 
                                           太陽_租期, [太陽_租金%], 製錶, 備註, 圖片庫)
                VALUES  (N'" & 案件摘要表.流水號_tb.Text & "', N'" & 案件摘要表.地址_tb.Text & "', N'" & 案件摘要表.地主_tb.Text & "', N'" & 案件摘要表.聯絡人_tb.Text & "', N'', N'', 
                         N'" & 案件摘要表.用途_cb.Text & "', N'" & 案件摘要表.土地租期_nup.Value & "', N'" & 案件摘要表.租期開始_dtp.Text & " - " & 案件摘要表.租期結束_dtp.Text & "', 
                         N'" & 案件摘要表.土地租金_nud.Value & "', N'" & 案件摘要表.月坪租金_nud.Value & "', N'" & 案件摘要表.保證月_nud.Text & "', N'" & 案件摘要表.保證金_nud.Text & "', 
                         N'" & 案件摘要表.免租_nud.Value & "', N'" & 案件摘要表.免租開始_dtp.Text & " - " & 案件摘要表.免租結束_dtp.Text & "', N'" & 案件摘要表.建照_dtp.Text & "', 
                         N'" & 案件摘要表.執照_dtp.Text & "', N'" & 案件摘要表.太_出租_tb.Text & "', N'" & 案件摘要表.太_承租_tb.Text & "', N'" & 案件摘要表.KW數_tb.Text & "', 
                         N'" & 案件摘要表.太陽開始_dtp.Text & " - " & 案件摘要表.太陽結束_dtp.Text & "', N'" & 案件摘要表.太_租金比_tb.Text & "', N'" & gUserName & "', 
                         N'" & 案件摘要表.備註_tb.Text & "', N'" & 圖片庫 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件太陽清單新增()
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要_太陽 (單據編號, 流水號, 太陽_出租人, 太陽_承租人, 太陽_KW數, 太陽_租期, [太陽_租金%]) VALUES 
               (N'" & 案件摘要表.流水號_tb.Text & "', N'" & 案件摘要表.綠能編號_tb.Text & "', N'" & 案件摘要表.太_出租_tb.Text & "', N'" & 案件摘要表.太_承租_tb.Text & "', 
                N'" & 案件摘要表.KW數_tb.Text & "', N'" & 案件摘要表.太陽開始_dtp.Text & " - " & 案件摘要表.太陽結束_dtp.Text & "', N'" & 案件摘要表.太_租金比_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要太陽修改()
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_太陽  SET 太陽_出租人 = N'" & 案件摘要表.太_出租_tb.Text & "', 太陽_承租人 = N'" & 案件摘要表.太_承租_tb.Text & "', 太陽_KW數 = N'" & 案件摘要表.KW數_tb.Text & "', 
                                           太陽_租期 = N'" & 案件摘要表.太陽開始_dtp.Text & " - " & 案件摘要表.太陽結束_dtp.Text & "', [太陽_租金%] = N'" & 案件摘要表.太_租金比_tb.Text & "' 
                WHERE   流水號 LIKE N'" & 案件摘要表.綠能編號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要修改()
        ConnOpen()
        SQL1 = "UPDATE  案件摘要總表  SET  [地址/地號] = N'" & 案件摘要表.地址_tb.Text & "', 地主 = N'" & 案件摘要表.地主_tb.Text & "', 聯絡人 = N'" & 案件摘要表.聯絡人_tb.Text & "', 
                                           使用用途 = N'" & 案件摘要表.用途_cb.Text & "', 土地租期 = N'" & 案件摘要表.土地租期_nup.Value & "', 
                                           租期備註 = N'" & 案件摘要表.租期開始_dtp.Text & " - " & 案件摘要表.租期結束_dtp.Text & "', 土地月租 = N'" & 案件摘要表.土地租金_nud.Value & "', 
                                           每坪月租 = N'" & 案件摘要表.月坪租金_nud.Value & "', 保證月 = N'" & 案件摘要表.保證月_nud.Text & "', [押金/保證金] = N'" & 案件摘要表.保證金_nud.Text & "', 
                                           免租興建期 = N'" & 案件摘要表.免租_nud.Value & "', 建期備註 = N'" & 案件摘要表.免租開始_dtp.Text & " - " & 案件摘要表.免租結束_dtp.Text & "', 
                                           建照核准日 = N'" & 案件摘要表.建照_dtp.Text & "', 取得使用執照日 = N'" & 案件摘要表.執照_dtp.Text & "', 太陽_出租人 = N'" & 案件摘要表.太_出租_tb.Text & "', 
                                           太陽_承租人 = N'" & 案件摘要表.太_承租_tb.Text & "', 太陽_KW數 = N'" & 案件摘要表.KW數_tb.Text & "', 
                                           太陽_租期 = N'" & 案件摘要表.太陽開始_dtp.Text & " - " & 案件摘要表.太陽結束_dtp.Text & "', [太陽_租金%] = N'" & 案件摘要表.太_租金比_tb.Text & "', 
                                           備註 = N'" & 案件摘要表.備註_tb.Text & "'  WHERE 單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要刪除()
        ConnOpen() : SQL1 = "DELETE  案件摘要總表  WHERE  (單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件類別()
        ConnOpen() : SQL1 = "SELECT  使用用途  FROM  案件摘要總表  GROUP BY  使用用途  ORDER BY  使用用途" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地清單()
        ConnOpen()
        SQL1 = "SELECT  單據編號, 流水號, 地主, 面積編號, 土地面積 AS [土地面積(平米)], 坪數, 使用用途, 土地租期, 租期備註, 土地月租, 每坪月租, 
                        保證月, [押金/保證金], 免租興建期, 建期備註, 建照核准日, 取得使用執照日, 備註  FROM  案件摘要_土地 
                WHERE   單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件土地清單新增()
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要_土地 (單據編號, 流水號, 面積編號, 土地面積, 坪數, 使用用途, 土地租期, 租期備註, 土地月租, 每坪月租, 
                                            保證月, [押金/保證金], 免租興建期, 建期備註, 建照核准日, 取得使用執照日, 備註, 地主) 
                VALUES (N'" & 案件摘要表.流水號_tb.Text & "', N'" & 案件摘要表.土地編號_tb.Text & "', N'*', N'0', N'0', N'" & 案件摘要表.用途_cb.Text & "', 
                        N'" & 案件摘要表.土地租期_nup.Value & "', N'" & 案件摘要表.租期開始_dtp.Text & " - " & 案件摘要表.租期結束_dtp.Text & "', 
                        N'" & 案件摘要表.土地租金_nud.Value & "', N'" & 案件摘要表.月坪租金_nud.Value & "', N'" & 案件摘要表.保證月_nud.Text & "', N'" & 案件摘要表.保證金_nud.Text & "', 
                        N'" & 案件摘要表.免租_nud.Value & "', N'" & 案件摘要表.免租開始_dtp.Text & " - " & 案件摘要表.免租結束_dtp.Text & "', N'" & 案件摘要表.建照_dtp.Text & "', 
                        N'" & 案件摘要表.執照_dtp.Text & "', N'" & 案件摘要表.備註_tb.Text & "', N'*')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地修改1()
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_土地  SET 使用用途 = N'" & 案件摘要表.用途_cb.Text & "', 土地租期 = N'" & 案件摘要表.土地租期_nup.Value & "', 
                                           租期備註 = N'" & 案件摘要表.租期開始_dtp.Text & " - " & 案件摘要表.租期結束_dtp.Text & "', 土地月租 = N'" & 案件摘要表.土地租金_nud.Value & "', 
                                           每坪月租 = N'" & 案件摘要表.月坪租金_nud.Value & "', 保證月 = N'" & 案件摘要表.保證月_nud.Text & "', [押金/保證金] = N'" & 案件摘要表.保證金_nud.Text & "', 
                                           免租興建期 = N'" & 案件摘要表.免租_nud.Value & "', 建期備註 = N'" & 案件摘要表.免租開始_dtp.Text & " - " & 案件摘要表.免租結束_dtp.Text & "', 
                                           建照核准日 = N'" & 案件摘要表.建照_dtp.Text & "', 取得使用執照日 = N'" & 案件摘要表.執照_dtp.Text & "', 備註 = N'" & 案件摘要表.備註_tb.Text & "'  
                WHERE 流水號 LIKE N'" & 案件摘要表.土地編號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地流水()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  案件摘要_土地  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地修改()
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_土地  SET  面積編號 = N'" & PA1 & "', 土地面積 = N'" & PA2 & "', 坪數 =  N'" & PA3 & "', 地主 =  N'" & PA4 & "'  WHERE 流水號 LIKE N'" & PA & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地刪除()
        ConnOpen() : SQL1 = "DELETE  案件摘要_土地 WHERE 流水號 LIKE N'" & 案件摘要表.土地編號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件建坪清單()
        ConnOpen()
        SQL1 = "SELECT  單據編號, 流水號, 建坪編號, 備註, 坪數, 面寬 AS [面寬(米)], 深度 AS [深度(米)]  FROM  案件摘要_建坪  
                WHERE 單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件建坪流水()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  案件摘要_建坪  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件太陽流水()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  案件摘要_太陽  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件建坪清單新增()
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要_建坪 (單據編號, 流水號, 建坪編號, 備註, 坪數, 面寬, 深度) VALUES 
               (N'" & 案件摘要表.流水號_tb.Text & "', N'" & 案件摘要表.建坪編號_tb.Text & "', N'*', N'', N'0', N'0', N'0')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件建坪修改()
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_建坪  SET  建坪編號 = N'" & PA1 & "', 備註 = N'" & PA2 & "', 坪數 = N'" & PA3 & "', 面寬 = N'" & PA4 & "', 深度 = N'" & PA5 & "'  WHERE 流水號 LIKE N'" & PA & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件建坪刪除()
        ConnOpen() : SQL1 = "DELETE  案件摘要_建坪 WHERE 流水號 LIKE N'" & 案件摘要表.建坪編號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要附件流水驗證()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號  FROM  案件摘要附件  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要入系統()
        ConnOpen_圖庫SQL()
        SQL1 = "INSERT INTO 案件摘要附件 (流水號, 案件編號, 圖片) SELECT N'" & PA1 & "', N'" & 案件摘要表.流水號_tb.Text & "', @binary_file"
        CmdSet_For_dr_pic()
    End Sub
    Friend Sub SQL_案件摘要附件讀取()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  圖片  FROM  案件摘要附件  WHERE  (流水號 LIKE N'" & PA2 & "')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租附件讀取()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  圖片  FROM  案件承租附件   WHERE  (流水號 LIKE N'" & PA2 & "')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要附件刪除()
        ConnOpen_圖庫SQL() : SQL1 = "DELETE 案件摘要附件  WHERE  (流水號 LIKE  N'" & 案件摘要表.附件編碼1_lb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要附件()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號, 流水號 AS 檔案  FROM  案件摘要附件 WHERE 案件編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "' ORDER BY 流水號" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件承租附件()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號, 流水號 AS 檔案  FROM  案件承租附件 WHERE 承租編號 LIKE N'" & 案件摘要表.承租編號_tb.Text & "' ORDER BY 流水號" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件承租讀取()
        ConnOpen()
        SQL1 = "SELECT   案件摘要_承租.單據編號, 案件摘要_建坪.流水號 AS 建坪號, 案件摘要_承租.流水號, 案件摘要_承租.承租客, 
                         案件摘要_建坪.建坪編號, 案件摘要_承租.承租狀態, 案件摘要_承租.聯絡人1, 案件摘要_承租.電話1, 
                         案件摘要_承租.聯絡人2, 案件摘要_承租.電話2, 案件摘要_承租.聯絡人3, 案件摘要_承租.電話3, 
                         案件摘要_承租.開發窗口, 案件摘要_承租.[店長/店經理], 案件摘要_承租.[坪數/區塊面積], 案件摘要_承租.租期開始, 
                         案件摘要_承租.租期結束, 案件摘要_承租.免租期, 案件摘要_承租.租金, 案件摘要_承租.[押金/保證金], 
                         案件摘要_承租.保證金備註, 案件摘要_建坪.坪數, 客戶資料表.客戶名稱, 案件摘要_承租.單據編號 AS 承租
                FROM     案件摘要_承租 INNER JOIN
                         案件摘要_建坪 ON 案件摘要_承租.建坪編號 = 案件摘要_建坪.流水號 INNER JOIN
                         客戶資料表 ON 案件摘要_承租.承租客 = 客戶資料表.流水號
                 WHERE  (案件摘要_承租.單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "') ORDER BY 案件摘要_承租.流水號 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件太陽讀取()
        ConnOpen()
        SQL1 = "SELECT  流水號, 流水號 AS 檔案, 太陽_出租人, 太陽_承租人, 太陽_KW數, 太陽_租期, [太陽_租金%]
                FROM    案件摘要_太陽  WHERE  (單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "')"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件太陽刪除()
        ConnOpen() : SQL1 = "DELETE  案件摘要_太陽 WHERE 流水號 LIKE N'" & 案件摘要表.綠能編號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_建坪類別()
        ConnOpen() : SQL1 = "SELECT  建坪編號  FROM  案件摘要_建坪  WHERE  單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'  GROUP BY  建坪編號  ORDER BY  建坪編號" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租流水()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  案件摘要_承租  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租清單新增()
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要_承租 (單據編號, 建坪編號, 流水號, 承租狀態, 承租客, 聯絡人1, 電話1, 聯絡人2, 電話2, 聯絡人3, 電話3, 開發窗口, 
                             [店長/店經理], [坪數/區塊面積], 租期開始, 租期結束, 免租期, 租金, [押金/保證金], 保證金備註) VALUES 
               (N'" & 案件摘要表.流水號_tb.Text & "', N'" & 案件摘要表.承租區塊編號_lb.Text & "', N'" & 案件摘要表.承租編號_tb.Text & "', N'" & 案件摘要表.承租狀態_cb.Text & "', 
                N'" & 案件摘要表.客戶流水_tb.Text & "', N'" & 案件摘要表.聯絡人1_tb.Text & "', N'" & 案件摘要表.電話1_tb.Text & "', N'" & 案件摘要表.聯絡人2_tb.Text & "', 
                N'" & 案件摘要表.電話2_tb.Text & "', N'" & 案件摘要表.聯絡人3_tb.Text & "', N'" & 案件摘要表.電話3_tb.Text & "', N'" & 案件摘要表.開發窗口_tb.Text & "', 
                N'" & 案件摘要表.店長_tb.Text & "', N'" & 案件摘要表.面積_tb.Text & "', N'" & 案件摘要表.租期開始1_dtp.Text & "', N'" & 案件摘要表.租期結束1_dtp.Text & "', 
                N'" & 案件摘要表.免租開始1_dtp.Text & " - " & 案件摘要表.免租結束1_dtp.Text & "', N'" & 案件摘要表.租金_nud.Value & "',N'" & 案件摘要表.押金_nud.Value & "', 
                N'" & 案件摘要表.備註1_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租清單修改()
        ConnOpen()
        SQL1 = "UPDATE 案件摘要_承租 SET 承租狀態 = N'" & 案件摘要表.承租狀態_cb.Text & "', 承租客 = N'" & 案件摘要表.客戶流水_tb.Text & "', 聯絡人1 = N'" & 案件摘要表.聯絡人1_tb.Text & "', 
                                         電話1 = N'" & 案件摘要表.電話1_tb.Text & "', 聯絡人2 = N'" & 案件摘要表.聯絡人2_tb.Text & "', 電話2 = N'" & 案件摘要表.電話2_tb.Text & "', 
                                         聯絡人3 = N'" & 案件摘要表.聯絡人3_tb.Text & "', 電話3 = N'" & 案件摘要表.電話3_tb.Text & "', 開發窗口 = N'" & 案件摘要表.開發窗口_tb.Text & "', 
                                         [店長/店經理] = N'" & 案件摘要表.店長_tb.Text & "', [坪數/區塊面積] = N'" & 案件摘要表.面積_tb.Text & "', 
                                         租期開始 = N'" & 案件摘要表.租期開始1_dtp.Text & "', 租期結束 = N'" & 案件摘要表.租期結束1_dtp.Text & "', 
                                         免租期 = N'" & 案件摘要表.免租開始1_dtp.Text & " - " & 案件摘要表.免租結束1_dtp.Text & "', 
                                         租金 = N'" & 案件摘要表.租金_nud.Value & "', [押金/保證金] = N'" & 案件摘要表.押金_nud.Value & "', 保證金備註 = N'" & 案件摘要表.備註1_tb.Text & "' 
                WHERE 流水號 LIKE N'" & 案件摘要表.承租編號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租清單刪除()
        ConnOpen() : SQL1 = "DELETE 案件摘要_承租  WHERE 流水號 LIKE N'" & 案件摘要表.承租編號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租附件流水驗證()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號  FROM  案件承租附件  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租入系統()
        ConnOpen_圖庫SQL()
        SQL1 = "INSERT INTO 案件承租附件 (流水號, 承租編號, 圖片) SELECT N'" & PA1 & "', N'" & 案件摘要表.承租編號_tb.Text & "', @binary_file"
        CmdSet_For_dr_pic()
    End Sub
    Friend Sub SQL_案件承租附件刪除()
        ConnOpen_圖庫SQL() : SQL1 = "DELETE 案件承租附件  WHERE  (流水號 LIKE  N'" & 案件摘要表.承租編號_tb.Text & "')" : CmdSet_For_dr()
    End Sub
End Module
